#
# spec file for package python-expects
#
# Copyright (c) 2019 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?sle15_python_module_pythons}
Name:           python-expects
Version:        0.9.0
Release:        2.3
Summary:        Expressive and extensible TDD/BDD assertion library for Python
License:        Apache-2.0
Group:          Development/Languages/Python
URL:            https://github.com/jaimegildesagredo/expects
Source:         https://files.pythonhosted.org/packages/source/e/expects/expects-%{version}.tar.gz
BuildRequires:  %{python_module setuptools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
BuildArch:      noarch
%python_subpackages

%description
"Expects" is an expressive and extensible TDD/BDD assertion library for
Python. Expects can be extended by defining new matchers.

%prep
%setup -q -n expects-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

%files %{python_files}
%license LICENSE
%doc README.rst
%{python_sitelib}/*

%changelog
* Thu Sep 26 2024 Guang Yee <gyee@suse.com>
- Enable sle15_python_module_pythons.
* Mon Mar 11 2019 Tomáš Chvátal <tchvatal@suse.com>
- Update to 0.9.0:
  * Fix Python 3.7 collections ABC classes deprecation warning. See GH-55.
  * Hide expects internals from pytest tracebacks. See GH-51.
  * Dropped Python 2.6 support.
* Thu Jun  7 2018 jengelh@inai.de
- Remove markup that does not mean anything to rpm or yast.
* Tue May  8 2018 tchvatal@suse.com
- Initial package, usually needed for tests
